* {
  box-sizing: border-box;
  text-decoration: none;
  list-style:none;
}
html {
  scroll-behavior: smooth;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
li {
  margin: 0px;
  padding: 0px;
}

@font-face {
  font-family: 'Inter';
  src: url('Inter-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}


html {
  background-color: white !important;
}

body {
  font-family: "Inter";
  background-color: white !important;
  padding: 0;
  box-sizing: border-box;
  margin: 0;
}
#loader-container {
  z-index: 99;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 1, 2, 0.67);
  display: flex;
  align-items: center;
  justify-content: center;
}

.hidden {
  display: none !important;
}

.spinner {
  --spinner-size: 9;
  --line-color: #000080;
  --line-alpha: 1;
  --ring-color: #aaa;
  --ring-alpha: 1;
  --ring-size: 7;
  font-size: calc(var(--spinner-size) * 1em);
  width: 1em;
  height: 1em;
  border-radius: 50%;

}

.spinner .line {
  fill: none;
  stroke: var(--line-color);
  stroke-width: var(--ring-size);
  opacity: var(--line-alpha);
  stroke-linecap: round;
  transform-origin: 50% 50%;
  transform: rotate3d(0, 0, 1, 0deg);
  animation:
      2156ms spinner-arc ease-in-out infinite,
      1829ms spinner-rotate linear infinite;
}

.spinner .ring {
  fill: none;
  stroke: var(--ring-color);
  stroke-width: var(--ring-size);
  opacity: var(--ring-alpha);
}

@keyframes spinner-rotate {
  to {
      transform: rotate3d(0, 0, 1, 360deg);
  }
}

@keyframes spinner-arc {
  from {
      stroke-dasharray: 0 150;
      stroke-dashoffset: 0;
  }

  to {
      stroke-dasharray: 100 150;
      stroke-dashoffset: -140;
  }
}

.konteyner {
  background-color: white;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  margin-bottom: 1%;
  margin-top: 1%;
  padding: 0;
  width: 100%;
}

.flexer-konteyner {
  display: flex;
  flex-grow: 0;
  overflow: hidden;
  flex-direction: row;
  flex-flow: row;
  align-items: center;

}

.flexer-konteyner a {
  display: flex;

}

#flex1 {
  display: flex;
}

#flex2 {
  text-decoration: none;
  list-style: none;
  text-align: start;
  list-style-type: none;
}

#decrem {
  text-emphasis: none;
  text-align: start;
  text-decoration: none;
  list-style-type: none;
  color: white;
}

.logo img {
  width: 100%;
}

#sutun {
  height: 250px;
}
.nav {
  background-color: #000080;
  text-decoration: none !important;
  /*display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
  gap: 1rem;*/
  border-top: solid #000080 1px;
  font-size: 1.5em;
  position: -webkit-sticky;
  position: -moz-sticky;
  position: -ms-sticky;
  position: -o-sticky;
  position: relative;
  top: 0;
  z-index: 20;
  padding-bottom: 6px;
}
.nav > div{
  display: flex;
}

#nav1{
  max-width: 60%;
}

/*@supports(position: sticky) {
  .nav {
    position: sticky;
    top: 0;
  }
}*/

.services-heading-div {
  display: flex;
  justify-content: center;
  flex: 1;
  padding-top: 1rem;
}

.link {
  background: none;
  border: none;
  text-decoration: none !important;
  color: #ffffff;
  font-size: 22px;
  cursor: pointer;
}

.dropdown-links .link{
  font-size: 18px;
}


.nav a {
  padding: 7px;
  border: none;
}

/* nav a:hover {
  background-color: #fff;
} */

.link:hover {
  color: black !important;
  text-decoration: none !important;
}

.link1:hover {
  color: black !important;
  text-decoration: none;
}

.link1 {
  background: none;
  border: none;
  font-size: 22px;
  text-decoration: none;
  cursor: pointer;
  color: #000080;
}

.dropdown {
  position: relative;
  text-decoration: none;
}

.dropdown-menu {
  position: absolute !important;
  left: 0 !important;
  top: calc(100% + .20rem) !important;
  background-color: white !important;
  padding: 0.75rem;
  border-radius: .25rem;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
  z-index: 5;
  color: black;
  opacity: 0 !important;
  pointer-events: none;
  transition: opacity 150ms ease-in-out, transform 150ms ease-in-out;
  transform: translateY(-10px);
}

.dropdown-menu2 {
  position: absolute;
  right: 0;
  top: calc(100% + .20rem);
  background-color: white;
  padding: .75rem;
  border-radius: .25rem;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
  z-index: 5;
  color: black;
  opacity: 0;
  pointer-events: none;
  transition: opacity 150ms ease-in-out, transform 150ms ease-in-out;
  transform: translateY(-10px);
}

.dropdown:hover>.link+.dropdown-menu2{
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.dropdown:hover>.link:hover {
  background-color: #fff !important;
}

.dropdown:hover>.link+.dropdown-menu {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.dropdown-links>.link:hover {
  background-color: #000080 !important;
  color: white !important;
}

.services-grid {
  display: grid;
  grid-template-rows: repeat(2, max-content);
}

.corporate-grid {
  display: grid;
  grid-template-rows: repeat(2, max-content);
}

.dropdown-links {
  display: flex;
  flex-direction: row;
  gap: .25rem;
  font-size: smaller;
  text-align: center;
  vertical-align: middle;
  align-items: center;
}

.dropdown-links a {
  color: black;
  text-align: center;
  vertical-align: middle;
  align-items: center;
  transition: 220ms;
}

.dropdown-heading {
  font-size: inherit;
  margin-bottom: .1rem;
}


#hero {
  position: relative;
  height: 0;
  margin: auto;
  padding-bottom: 36%;
  overflow: hidden;
  background-color: white;

}

/* #hero img{
  object-fit: contain;
}*/
.hero-slider {
  display: flex;
  transition: transform 0.5s ease;
  width: 500%;
}

.hero-slider .slide {
  flex: 0 0 20%;
  max-width: 20%;
}

.hero-slider img {
  width: 100%;

  object-position: center center;
}

.hero-content {
  background-color: transparent;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #fff;
  z-index: 1;
}

.hero-content h1 {
  font-size: 36px;
  margin-bottom: 10px;
}

.hero-content p {
  font-size: 18px;
  margin-bottom: 20px;
}

.btn {
  display: inline-block;
  padding: 10px 20px;
  background-color: #333;
  color: #fff;
  text-decoration: none;
  border-radius: 4px;
}

.slider-nav {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
}

.slider-nav button {
  background-color: transparent;
  border: none;
  font-size: 24px;
  color: #fff;
  cursor: pointer;
  margin: 0 5px;
}

.services {
  width: 100%;
  background-color: white;
  padding: 0 5%;
  display: flex;
  justify-content: center;
  box-sizing: border-box;
  align-items: center;
  gap: 20px;
}

.service-section {
  display: flex;
  justify-content: center;
  text-align: center;
  align-items: center;
  flex: 1;
  flex-wrap: wrap;
}

.service-section .service {
  flex: 1;
  margin: 20px 20px;
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, .2);
  transition: all 0.3s;
  text-decoration: none;

}

.service-section .service:hover {
  transform: scale(1.10);
}

.service-section .service img {
  width: 100%;

}

.service-section .service h3 {
  color: #333;
  margin: 15px 0px;
  font-size: 1.5rem;

}

.service-section .service p {
  font-size: 1rem;
  line-height: 1.5;
  padding: 0px 10px;
  margin-bottom: 20px;
  color: #333;

}

.gridcoller1 {
  background-color: #000080;
  color: white;
  display: grid;
  grid-template-columns: 1fr 2fr;
  margin-bottom: 15px;
  gap: 6%;
  padding: 15px;
}

.gridinside1>div {
  display: flex;
  margin: auto;
  justify-content: center;
  align-items: center;
  margin-top: 15px;
  padding-right: 12px;
}

.gridinside1 img {
  display: block;
  margin: auto;
}

.gridinside1 a {
  display: inline-block;
  text-align: center;
  align-items: center;
  text-decoration: none;
  color: inherit;
}

.gridinside1 button {
  font-size: large;
  background-color: #fff;
  color: black;
  border-radius: 25px;
  padding: 15px;
}

.gridinside2 {
  word-break: break-word;
}

.gridinside2 h2 {
  margin-top: 25px;
  text-align: justify;
  word-break: break-word;
  border-left: rgba(255, 255, 255, 0.9) solid 5px;
  border-radius: 5px;
  padding-left: 6px;
  box-shadow: 0px 1px 4px 2px rgba(0, 0, 0, 0.1);
  padding-top: 5px;
  padding-bottom: 5px;
}

#insidefirstp {
  font-size: 40px;
  margin-top: 30px;
  padding-top: 5px;
  padding-bottom: 5px;
}

#insidesecondtp {
  font-size: larger;
  margin-top: 10px;
  margin-bottom: 30px;
  border-left: rgba(255, 255, 255, 0.9) solid 5px;
  border-radius: 5px;
  padding-left: 6px;
  box-shadow: 0px 1px 4px 2px rgba(0, 0, 0, 0.1);
  padding-top: 5px;
  padding-bottom: 5px;
}

.insidelist {
  display: flex;
  justify-content: space-around;
  gap: 15px;
  margin-top: 70px;
  margin-bottom: 20px;
  font-size: xx-large;
  list-style-position: inside;
}

.insidelist ul {
  list-style-type: none;
  font-weight: 550;
}
.headergridcoller {
  display: flex;
  justify-content: center;
}

.headergridcoller>h1 {
  text-align: center;
  font-size: 40px;
  border-bottom: solid 5px #000080;
  border-radius: 5px;
  box-shadow: 0px 3px 0px 0px rgba(0, 0, 0, 0.1);
  display: inline-block;
}

.gridcoller2 {
  display: grid;
  grid-template-columns: 1fr 2fr;
  margin-top: 30px;
  margin-bottom: 30px;
  gap: 1%;
}

.gridinside3 {
  margin: auto;
}

.gridinside3>div {
  display: grid;
  align-items: center;
  margin: auto;
  padding: 15px;
}

.gridinside3>div h3 {
  text-align: center;
  vertical-align: middle;
  font-size: xx-large;
  margin-bottom: 5px;
  border-bottom: solid 2px rgba(0, 0, 128, 0.8);
  border-radius: 5px;
  box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.1);
  padding: 5px;
  display: inline-block;
}

.gridinside3>div span {
  font-size: large;
  font-weight: 600;
  margin-top: 0;
  padding-top: 0;
}

.gridinside4 {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 18px;
  margin: auto;
  padding: 5px;
  width: 95%;
}

.gridinside4 a {
  /*text-decoration: none;
  background-size: 55%;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url(logo/trashlogo.png);
  display: flex;
  height: 100%;
  align-items: end;
  text-align: center;
  border-radius: 5px;
  height: 80px;
  overflow: auto;*/
  display: grid;
  place-items: baseline;
  margin: auto;
  height: 100%;
  width: 100%;
  overflow: auto;
  border-radius: 5px;
  text-decoration: none;
  
}
.gridinside4 div{
  background-image: url(resimler/trapez.png);
  background-position: center;
  background-size: 50%;
  background-repeat: no-repeat;
  text-decoration: none;
  display: inline-block;
  height: 80px;
  margin: auto;
  width: 100%;
}

.gridinside4 button {
  margin: auto;
  text-decoration: none;
  display: inline-block;
  background-color: rgba(255, 0, 0, 0.01);
  color: #000080;
  border: none;
  cursor: pointer;
  font-size: medium;
  font-weight: bold;
  text-shadow: 1.1px 1px #fff;
  word-break: break-word;
  text-align: center;
  width: 100%;
}


.gridinside4 a:hover {
  transform: scale(1.25);
  transition: 300ms;
  box-shadow: 0px 0px 10px 1px rgba(0, 0, 0,0.1);
}
.gridinside4 a:hover button{
  transition: 300ms;
  background: linear-gradient(to top,
  rgba(0,0,0,0.04) 0%,
  rgba(0,0,0,0.02) 100%
  );
  height: 100%;
}
#numarabold{
  font-size: 26px;
}

#dckls{
  font-size: 1.5em;
}
.dropdown > a{
  transition: 280ms;
}

.go-to-top {
  position: fixed;
  bottom: 30px;
  right: 20px;
  width: 50px;
  height: 50px;
  background-color: #00005b;
  color: #fff;
  border-radius: 50%;
  text-align: center;
  line-height: 50px;
  font-size: 24px;
  cursor: pointer;
  transition: background-color 0.3s ease, opacity 0.2s ease-in-out ;
  z-index: 25;
}

.go-to-top:hover {
  background-color: #0056b3 !important;
  z-index: 100;
}
.whatsapp-icon {
  position: fixed;
  bottom: 15px;
  left: 20px;
  z-index: 20 ; /* Diğer öğelerin üzerinde görünmesini sağlar */
  transition: transform 0.2s ease-in-out, opacity 0.2s ease-in-out; /* Parlama efekti için geçiş efektleri */
}
.whatsapp-icon img{
  filter: drop-shadow(5px 5px 15px black);
}

.whatsapp-icon::before{
  content: ''; /* Pseudo-element oluştur */
  position: absolute; /* Mutlak konumlandırma */
  width: 100%;
  height: 100%;
  background: radial-gradient(circle, transparent 0%, rgb(34,185,102) 25%, transparent 65%); /* Spark efekti */
  transform: scale(0); /* Başlangıçta görünmez yap */
  transition: transform 0.2s ease-in-out; /* Geçiş efekti */
  
}
.whatsapp-icon:hover::before {
  transform: scale(1.3); /* Fare üzerine gelindiğinde görünür yap */
}

.whatsapp-icon:hover {
  transform: scale(1.3); /* Fare üzerine geldiğinde büyütme efekti */
}


footer {
  background-color: #000080;
  color: #fff;
  padding: 30px 5% 30px;
}
.footer{
  display: grid;
  /*grid-template-columns: repeat(auto-fit, minmax(200px,auto));*/
  grid-template-columns: repeat(auto-fit,minmax(180px,auto));
  gap: 3.5rem;
  background-color: #000080;
  /*position: relative;
  left: 0;
  bottom: 0;
  right: 0;*/

}

.footer-content h4{
  color: #fff;
  margin-bottom: 1.5rem;
  font-size: 20px
}

.fcontgrid{
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
  margin: auto;
  text-align: baseline;
}

#ilul{
  text-align: center;
}

.footer-content li{
  margin-bottom: 16px ;
}

.footer-content li a{
  display: block;
  color:#eee;
  font-size: 15px;
  font-weight: 400;
  transition: all .40s ease;
}

.footer-content li a:hover{
  transform: translateY(-3px)  translateX(-5px);
}

.footer-content p{
  color: #eee;
  font-size: 16px;
  line-height: 30px;
  margin: 20px 0;
}
.footer-icons a{
  display: inline-block;
  font-size: 22px;
  color: #eee;
  margin-right: 17px;
  transition: all .40s ease;
}
.footer-icons a:hover{
  transform:translateY(-5px);
}
.fcontgrid div li a{
  color: #eee;
  font-size: 15px;
}
.altbilgi {
  display: flex;
}


@media (min-width: 768px) and (max-width: 992px) {
  .gridinside4 {
    grid-template-columns: repeat(4, 1fr);
  }
  .gridinside1>div {
    display: block;
    margin: auto;
    justify-content: space-evenly;
    align-items: center;
    margin-top: 15px;
  }

  #dengecatiyazisi{
    display: none;
  }
  #nav1{
    flex-shrink:1;
    flex-grow: 0;
    max-width: 60%;
  }
  .insidelist {
    margin-top: 20px;
    margin-bottom: 0;
  }
  .insidelist ul li{
    font-size: 24px;
  } 
  #resim1{
    display: none;
  }

}

@media (min-width: 625px) and (max-width: 767px) {
  #services {
    grid-template-columns: 1fr;
  }
  .gridinside1>div {
    display: block;
    margin: auto;
    justify-content: space-evenly;
    align-items: center;
    margin-top: 15px;
  }

  #dengecatiyazisi{
    display: none;
  }

  .gridinside4 {
    grid-template-columns: repeat(3, 1fr);
  }

  .hero-content {
    width: 90%;
  }
  #nav1{
    flex-shrink:1;
    flex-grow: 0;
    
    max-width: 50%;
  }
  #flexerkonteyner1{
    display: flex;
    justify-content: space-between;
  }
  .insidelist ul li{
    font-size: 22px;
  } 
  .insidelist {
    margin-top: 20px;
    margin-bottom: 0;
  }
  #resim1{
    display: none;
  }
}

@media (min-width : 625px) {
  .nav {
    flex-direction: row;
  }

  .konteyner {
    flex-direction: row;
  }
  #resim1{
    display: none;
  }
  #W7640{
    display: none;
  }
}

@media (max-width : 625px) {

  .nav {
    position: relative;
  }
  .ustbilgi {
    display: none !important;
  }
  #tanitimfotosu{
    display: none;
  }
  .gridinside4 a:hover {
    transform: scale(1.1);
  }
  footer{
    padding: 30px 10% 75px;
  }
  
  .gridcoller1 {
    display: block;
    background-color: #fff;
    color: black;
  }

  .gridcoller2 {
    display: block;
  }

  .gridinside4 {
    grid-template-columns: repeat(3, 1fr);
  }

  .nav {
    display: none !important;
  }



  .insidelist {
    display: block;
    margin-top: 20px;
    margin-bottom: 0;
  }

  .insidelist ul li{
    font-size: 22px;
  }  
  .service-section {
    display: grid;
    padding: 2% 5%;
  }
  .gridinside1>div{
    margin-top: -10px;
  }
  #numarabold{
    font-size: 19px;
  }
  .gridinside2 h2{
    border-left: #000080e6 solid 5px;
  }
  #dckls{
    font-size: 1.1em;
    text-align: center;
  }
  #insidefirstp {
    font-size: 30px;
  }
  #insidesecondtp {
    font-size: 18px;
    border-left: #000080e6 solid 5px;
  }
  
  .bannerlister :first-child{
    display: none;
  }
  .bannerlister :nth-child(2){
    display: none;
  }
  #cukuryazisi{
    display: none;
  }
}

@media (min-width : 463px) {
  .service-section {
    flex-wrap: nowrap;
  }
}

@media (max-width : 380px){
  .gridinside4 {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width : 1279px){
  .fcontgrid{
    display: block;
  }
  #ilul{
    text-align: start;
  }
}
@media (max-width : 985px){
  .fcontgrid{
    display: grid;
  }
}
@media (max-width : 725px){
  .fcontgrid{
    display: block;
  }
  #ilul{
    text-align: start;
  }
  
}